Package org.apache.synapse.commons.executors

# Class ExecutorConstants

java.lang.Object
org.apache.synapse.commons.executors.ExecutorConstants

public abstract class ExecutorConstants extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `BEFORE_EXECUTE_HANDLER`
  `static final String`
  `CORE`
  `static final int`
  `DEFAULT_CORE`
  Default core threads
  `static final int`
  `DEFAULT_KEEP_ALIVE`
  Default keep alive time in seconds
  `static final int`
  `DEFAULT_MAX`
  Default max threads
  `static final String`
  `IS_FIXED_SIZE`
  `static final String`
  `KEEP_ALIVE`
  `static final String`
  `MAX`
  `static final String`
  `NAME`
  `static final String`
  `NEXT_QUEUE`
  `static final String`
  `PRIORITY`
  `static final String`
  `PRIORITY_EXECUTOR`
  `static final String`
  `PROPERTY`
  `static final String`
  `QUEUE`
  `static final String`
  `QUEUES`
  `static final String`
  `SIZE`
  `static final String`
  `THREADS`
  `static final String`
  `VALUE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExecutorConstants()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### NAME

    public static final String NAME
    See Also:
      - Constant Field Values

  - ### VALUE

    public static final String VALUE
    See Also:
      - Constant Field Values

  - ### SIZE

    public static final String SIZE
    See Also:
      - Constant Field Values

  - ### PRIORITY

    public static final String PRIORITY
    See Also:
      - Constant Field Values

  - ### IS_FIXED_SIZE

    public static final String IS_FIXED_SIZE
    See Also:
      - Constant Field Values

  - ### BEFORE_EXECUTE_HANDLER

    public static final String BEFORE_EXECUTE_HANDLER
    See Also:
      - Constant Field Values

  - ### NEXT_QUEUE

    public static final String NEXT_QUEUE
    See Also:
      - Constant Field Values

  - ### PROPERTY

    public static final String PROPERTY
    See Also:
      - Constant Field Values

  - ### QUEUES

    public static final String QUEUES
    See Also:
      - Constant Field Values

  - ### QUEUE

    public static final String QUEUE
    See Also:
      - Constant Field Values

  - ### PRIORITY_EXECUTOR

    public static final String PRIORITY_EXECUTOR
    See Also:
      - Constant Field Values

  - ### THREADS

    public static final String THREADS
    See Also:
      - Constant Field Values

  - ### MAX

    public static final String MAX
    See Also:
      - Constant Field Values

  - ### CORE

    public static final String CORE
    See Also:
      - Constant Field Values

  - ### KEEP_ALIVE

    public static final String KEEP_ALIVE
    See Also:
      - Constant Field Values

  - ### DEFAULT_CORE

    public static final int DEFAULT_CORE
    Default core threads
    See Also:
      - Constant Field Values

  - ### DEFAULT_MAX

    public static final int DEFAULT_MAX
    Default max threads
    See Also:
      - Constant Field Values

  - ### DEFAULT_KEEP_ALIVE

    public static final int DEFAULT_KEEP_ALIVE
    Default keep alive time in seconds
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ExecutorConstants

    public ExecutorConstants()